<template>
  <v-btn
    class="start-button"
    color="primary"
    rounded
    :loading="loading"
    @click="confirmRegistration"
  >
    Iniciar carga masiva
  </v-btn>
</template>

<script>
import { mapState } from 'vuex';

export default {
  name: 'StartBulkButton',
  emits: ['confirm'],
  computed: {
    ...mapState({
      loading: state => state.bulk.loading,
    }),
  },
  methods: {
    confirmRegistration() {
      this.$emit('confirm');
    },
  },
};
</script>

<style scoped>
.start-button {
  padding: 5rem;
}
</style>
